<?php

declare(strict_types=1);

class Categoria extends Model
{
    public function ativas(): array
    {
        return $this->db->query("SELECT * FROM categorias WHERE ativo = 1 ORDER BY nome ASC")->fetchAll();
    }

    public function todas(): array
    {
        return $this->db->query("SELECT * FROM categorias ORDER BY nome ASC")->fetchAll();
    }
}
